LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XModeChangeListener Interface Referencepublished

allows to listen for changes in an object's internal mode. More...

`import"XModeChangeListener.idl";`

Inheritance diagram for XModeChangeListener:

## Public Member Functions
void | modeChanged ([in] ModeChangeEvent rSource)
| indicates that the mode of the broadcasting component has changed. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows to listen for changes in an object's internal mode.

See also
  XModeChangeBroadcaster

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ modeChanged()

void modeChanged | ( | [in] ModeChangeEvent | rSource | ) |

indicates that the mode of the broadcasting component has changed.

The documentation for this interface was generated from the following file:

- com/sun/star/util/XModeChangeListener.idl